---
- name: Check terraform binary existence
  stat:
    path: "{{ terraform_bin_path }}"
  register: terraform_bin_path_stats

- name: Terraform binary exists - Gather version
  command: >-
    {{ terraform_bin_path }} -version
  changed_when: no
  register: terraform_bin_existing_version
  when:
    - terraform_bin_path_stats.stat.exists

- name: Terraform binary exists - Cook variable
  set_fact:
    terraform_need_install: >-
      {{
        terraform_bin_existing_version.stdout_lines[0] != "Terraform v"+terraform_version
      }}
  when: 
    - terraform_bin_path_stats.stat.exists

- name: Terraform binary does not exist - Cook variable
  set_fact:
    terraform_need_install: true
  when: 
    - not terraform_bin_path_stats.stat.exists